Submit device approval
curl --request POST \
--url https://api.nexspace365.com/oauth/device \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'user_code=<string>'import requests
url = "https://api.nexspace365.com/oauth/device"
payload = { "user_code": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({user_code: '<string>'})
};
fetch('https://api.nexspace365.com/oauth/device', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
OAuth
Submit device approval
User submits the user_code with allow/deny decision.
POST
/
oauth
/
device
Submit device approval
⌘I

